Enneo

Settings

Add a new Subchannel

POST /settings/subchannel

POST /settings/subchannel

Request body

The new Subchannel that should be created. The ID does not need to be included in the payload, as it will be generated automatically.

idintegerbody

No description.

channelenumbody

Channel of ticket Options: email, portal, phone, letter, system, chat, walkIn

namestringbody

No description.

isDefaultbooleanbodyDefault: false

Whether this subchannel is the default for its channel. Only one subchannel per channel can be default.

interfaceenumbody

The underlying data source of this subchannel.

Currently only 'internal' is supported, meaning the subchannel is managed directly by Enneo. Options: internal

enabledbooleanbodyDefault: true

No description.

dataobjectbody

Channel-specific properties of this subchannel, e.g. IMAP Username and password for emails

Request Example

{
  "id": 1,
  "channel": "email",
  "name": "Support",
  "isDefault": false,
  "interface": "internal",
  "enabled": true,
  "data": null
}

Responses

200 — Subchannel added successfully

Response Example

{
  "success": true,
  "id": 12345
}

403 — Unauthorized

500 — Internal error